## Database - Script Database - Script — An interface to access Script Database |

## Functions

lt_script_db_t * | lt_script_db_new ()
lt_script_db_t * | lt_script_db_ref ()
void | lt_script_db_unref ()
lt_script_t * | lt_script_db_lookup ()

## Types and Values

| lt_script_db_t

## Description

This class provides an interface to access Script Database. which has been registered as ISO 15924.

## Functions

### lt_script_db_new ()

    lt_script_db_t *
    lt_script_db_new (void);

Create a new instance of a lt_script_db_t.

#### Returns

a new instance of lt_script_db_t.

[transfer full]

### lt_script_db_ref ()

    lt_script_db_t *
    lt_script_db_ref (lt_script_db_t *scriptdb);

Increases the reference count of `scriptdb` .

#### Parameters

scriptdb | a lt_script_db_t. |

#### Returns

the same `scriptdb` object.

[transfer none]

### lt_script_db_unref ()

    void
    lt_script_db_unref (lt_script_db_t *scriptdb);

Decreases the reference count of `scriptdb` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

scriptdb | a lt_script_db_t. |

### lt_script_db_lookup ()

    lt_script_t *
    lt_script_db_lookup (lt_script_db_t *scriptdb,
                         const char *subtag);

Lookup `lt_script_t` if `subtag` is valid and registered into the database.

#### Parameters

scriptdb | a lt_script_db_t. |
subtag | a subtag name to lookup. |

#### Returns

a lt_script_t that meets with `subtag` . otherwise `NULL`.

[transfer full]

## Types and Values

### lt_script_db_t

    typedef struct _lt_script_db_t lt_script_db_t;

All the fields in the lt_script_db_t structure are private to the lt_script_db_t implementation.